Package org.talend.transform.camel

# Class TdmSamplePollingConsumer

java.lang.Object
org.apache.camel.support.service.BaseService
org.apache.camel.support.service.ServiceSupport
org.apache.camel.support.PollingConsumerSupport
org.talend.transform.camel.TdmSamplePollingConsumer

All Implemented Interfaces:
  `AutoCloseable`, `org.apache.camel.Consumer`, `org.apache.camel.EndpointAware`, `org.apache.camel.PollingConsumer`, `org.apache.camel.Service`, `org.apache.camel.ShutdownableService`, `org.apache.camel.StatefulService`, `org.apache.camel.SuspendableService`

public class TdmSamplePollingConsumer extends org.apache.camel.support.PollingConsumerSupport
This is a mock polling consumer since TdmSampleConsumer does polling based on counts, not on events as in the EventDrivenPollingConsumer which is the default and would be overkill.

## Field Summary

### Fields inherited from class org.apache.camel.support.service.BaseService

`BUILT, FAILED, INITIALIZED, INITIALIZING, lock, NEW, SHUTDOWN, SHUTTING_DOWN, STARTED, STARTING, status, STOPPED, STOPPING, SUSPENDED, SUSPENDING`

## Constructor Summary

Constructors
Constructor
Description
`TdmSamplePollingConsumer(org.apache.camel.Endpoint endpoint)`

## Method Summary

Modifier and Type
Method
Description
`org.apache.camel.Exchange`
`receive()`
`org.apache.camel.Exchange`
`receive(long timeout)`
`org.apache.camel.Exchange`
`receiveNoWait()`

### Methods inherited from class org.apache.camel.support.PollingConsumerSupport

`createExchange, getEndpoint, getExceptionHandler, getProcessor, handleException, releaseExchange, setExceptionHandler, toString`

### Methods inherited from class org.apache.camel.support.service.BaseService

`build, doBuild, doFail, doInit, doLifecycleChange, doResume, doShutdown, doStart, doStop, doSuspend, fail, getInternalLock, getStatus, init, isBuild, isInit, isNew, isRunAllowed, isShutdown, isStarted, isStarting, isStartingOrStarted, isStopped, isStopping, isStoppingOrStopped, isSuspended, isSuspending, isSuspendingOrSuspended, resume, shutdown, start, stop, suspend`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.apache.camel.Consumer

`defaultConsumerCallback`

### Methods inherited from interface org.apache.camel.Service

`build, close, init, start, stop`

### Methods inherited from interface org.apache.camel.ShutdownableService

`shutdown`

### Methods inherited from interface org.apache.camel.StatefulService

`getStatus, isRunAllowed, isStarted, isStarting, isStopped, isStopping, isSuspending`

### Methods inherited from interface org.apache.camel.SuspendableService

`isSuspended, resume, suspend`

## Constructor Details

### TdmSamplePollingConsumer

public TdmSamplePollingConsumer(org.apache.camel.Endpoint endpoint)

## Method Details

### receive

public org.apache.camel.Exchange receive()

### receive

public org.apache.camel.Exchange receive(long timeout)

### receiveNoWait

public org.apache.camel.Exchange receiveNoWait()